MKMODULES(1)

NAME
mkmodules - Rebuild modules database for CVS

SYNOPSIS
mkmodules directory

DESCRIPTION
mkmodules rebuilds the modules database that cvs(1) uses. The directory specified is expected to contain the modules,v and loginfo,v files. mkmodules carefully checks out the current head revisions of each of these files and reuilds the ndbm(3) format modules database. A warning is generated if the modules file contains a duplicate key.

FILES

modules,v
    The modules RCS file.

modules
    The checked out modules file.

loginfo,v
    The loginfo RCS file.

loginfo
    The checked out loginfo file.

modules.dir, modules.pag
    The ndbm(1) format modules database.

ENVIRONMENT VARIABLES

RCSBIN
    Specifies the full pathname where to find RCS programs, such as co(1) and ci(1). If not set, the default is /usr/local/bin.

SEE ALSO
ci(1), co(1), cvs(1), rcs(1),

BUGS